<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddRentTypeIdToOrderDevices extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order_devices', function (Blueprint $table) {
            $table->unsignedInteger('device_name_id')->nullable()->after('device_id');
            $table->unsignedInteger('spec_id')->nullable()->after('device_id');
            $table->unsignedInteger('rent_type_id')->nullable()->comment('租赁类型ID')->after('device_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
